com.h3c.sdn.ctlAddrManager

## Class CtlAddrManagerFilter

- java.lang.Object
- - com.h3c.sdn.BaseFilter
  - - com.h3c.sdn.ctlAddrManager.CtlAddrManagerFilter

-     public class CtlAddrManagerFilter
      extends BaseFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CtlAddrManagerFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EqualityCondition<String>` | `getIpAddrCondition()`
    `EqualityCondition<String>` | `getMacAddrCondition()`
    `EqualityCondition<String>` | `getMaskIpAddrCondition()`
    `EqualityCondition<String>` | `getVidCondition()`
    `void` | `setIpAddrCondition(String ipAddrCondition)`
    `void` | `setMacAddrCondition(String macAddrCondition)`
    `void` | `setMaskIpAddrCondition(String maskIpAddrCondition)`
    `void` | `setVidCondition(String vidCondition)`

    - ### Methods inherited from class com.h3c.sdn.BaseFilter

      `equals, getSysIdCondition, getTimestampCondition, hashCode, setSysIdCondition, setSysIdCondition, setTimestampCondition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CtlAddrManagerFilter

          public CtlAddrManagerFilter()

  - ### Method Detail

    - #### getMacAddrCondition

          public EqualityCondition<String> getMacAddrCondition()

    - #### getIpAddrCondition

          public EqualityCondition<String> getIpAddrCondition()

    - #### getVidCondition

          public EqualityCondition<String> getVidCondition()

    - #### getMaskIpAddrCondition

          public EqualityCondition<String> getMaskIpAddrCondition()

    - #### setMaskIpAddrCondition

          public void setMaskIpAddrCondition(String maskIpAddrCondition)

    - #### setMacAddrCondition

          public void setMacAddrCondition(String macAddrCondition)

    - #### setIpAddrCondition

          public void setIpAddrCondition(String ipAddrCondition)

    - #### setVidCondition

          public void setVidCondition(String vidCondition)

Copyright © 2014. All Rights Reserved.